import * as react_jsx_runtime from 'react/jsx-runtime';
import * as ToggleGroupRadix from '@radix-ui/react-toggle-group';

declare const TOGGLEGROUP_CLASSNAME = "av-togglegroup";
declare const TOGGLEGROUP_ITEM_WRAPPER_CLASSNAME = "av-togglegroup-item-wrapper";
declare const TOGGLEGROUP_ITEM_CLASSNAME = "av-togglegroup-item";

type Size = "small" | "medium" | "large";
type Mode = "dark" | "light" | "system" | "alt-system";

type ToggleGroupProps = {
	/**
	 * The type of focus for the buttons. This will change the color
	 * of the focus ring around the buttons.
	 */
	focusMode?: Mode;
	/**
	 * The mode of the group container. This will change the color of the background.
	 */
	mode?: Mode;
	/**
	 * The size of the component.
	 */
	size?: Size;
	/**
	 * The classes to apply to the component.
	 */
	className?: string;
} & Omit<ToggleGroupRadix.ToggleGroupSingleProps, "type", "defaultValue">;

type ToggleGroupItemProps = ToggleGroupRadix.ToggleGroupItemProps;

declare const ToggleGroup: ({ children, value, onValueChange, disabled, mode, focusMode, size, defaultValue, className, ...otherProps }: ToggleGroupProps) => react_jsx_runtime.JSX.Element;
declare const ToggleGroupItem: ({ value, disabled }: ToggleGroupItemProps) => react_jsx_runtime.JSX.Element;

export { TOGGLEGROUP_CLASSNAME, TOGGLEGROUP_ITEM_CLASSNAME, TOGGLEGROUP_ITEM_WRAPPER_CLASSNAME, ToggleGroup, ToggleGroupItem };
